Package htsjdk.samtools.cram.compression.fqzcomp

# Class FQZParam

java.lang.Object
htsjdk.samtools.cram.compression.fqzcomp.FQZParam

public class FQZParam extends Object

## Constructor Summary

Constructors
Constructor
Description
`FQZParam(ByteBuffer inBuffer, int numberOfSymbols)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getContext()`
`int`
`getDeltaContextLocation()`
`int[]`
`getDeltaContextTable()`
`int`
`getFixedLen()`
`int`
`getMaxSymbols()`
`int`
`getPositionContextLocation()`
`int[]`
`getPositionContextTable()`
`int`
`getQualityContextBits()`
`int`
`getQualityContextLocation()`
`int`
`getQualityContextShift()`
`int[]`
`getQualityContextTable()`
`int[]`
`getQualityMap()`
`int`
`getSelectorContextLocation()`
`boolean`
`isDoDedup()`
`boolean`
`isDoDelta()`
`boolean`
`isDoPos()`
`boolean`
`isDoQmap()`
`boolean`
`isDoQtab()`
`boolean`
`isDoSel()`
`void`
`setFixedLen(int fixedLen)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FQZParam

public FQZParam(ByteBuffer inBuffer, int numberOfSymbols)

## Method Details

### getContext

public int getContext()

### isDoDedup

public boolean isDoDedup()

### getFixedLen

public int getFixedLen()

### isDoSel

public boolean isDoSel()

### isDoQmap

public boolean isDoQmap()

### isDoPos

public boolean isDoPos()

### isDoDelta

public boolean isDoDelta()

### isDoQtab

public boolean isDoQtab()

### getMaxSymbols

public int getMaxSymbols()

### getQualityContextBits

public int getQualityContextBits()

### getQualityContextShift

public int getQualityContextShift()

### getQualityContextLocation

public int getQualityContextLocation()

### getSelectorContextLocation

public int getSelectorContextLocation()

### getPositionContextLocation

public int getPositionContextLocation()

### getDeltaContextLocation

public int getDeltaContextLocation()

### getQualityMap

public int[] getQualityMap()

### getQualityContextTable

public int[] getQualityContextTable()

### getPositionContextTable

public int[] getPositionContextTable()

### getDeltaContextTable

public int[] getDeltaContextTable()

### setFixedLen

public void setFixedLen(int fixedLen)